# Component Search Search for the components based on the given input and return list of components which includes registered,popular and unpopular.Response will not include vulnerabilities and licenses of the version Endpoint: GET /components/search Version: v1 Security: bearerAuth ## Query parameters: - `searchBy` (string, required) Search Type. default is NAME. Enum: "NAME", "URL", "CPE", "FORGE" - `filter` (string) Search Filter. This is required for searchBy NAME, default is ALL_TERMS. Enum: "ALL_TERMS", "ANY_TERM", "BEGINS_WITH", "EXACT_MATCH" - `searchTerm` (string) Any Keyword. This is required for searchBy NAME/URL and optional for CPE. For searchBy CPE, the supplied searchTerm E.g."apache commons" would perform exact match against the component. - `includeVersions` (boolean) If true , response will include versions as well. - `vendor` (string) Vendor name (Example: gnu) - `product` (string) Product name (Example: zlib) - `forgeName` (string) Forge Name. is required for searchBy FORGE and optional for NAME/URL/CPE Enum: "SourceForge", "Apache", "MySQL AB", "Java.net", "GNU", "Free Software Directory", "CodePlex", "Savannah", "Google Code", "Hackage", "NuGet Gallery", "npm", "CentOS Project", "PyPI", "Google's Maven Repository", "Clojars", "Ibiblio Maven2", "Packagist", "GitHub", "RubyGems", "crates.io", "CRAN", "CPAN", "Fedora Koji", "GitLab", "Conan" - `projectName` (string) Required param for forges: SourceForge|Apache|MySQL AB|Java.net|GNU|Free Software Directory|CodePlex|Savannah|Google Code|GitLab (Example: apache-batik) - `packageName` (string) Required param for forges: Hackage|NuGet Gallery|npm|PyPI|Packagist|CentOS Project (Example: newtonsoft.json) - `groupId` (string) Required param for forges: Google's Maven Repository|Clojars|Ibiblio Maven2 (Example: com.google.firebase) - `artifactId` (string) Required param for forges: Google's Maven Repository|Clojars|Ibiblio Maven2 (Example: firebase-abt) - `moduleOrDistributionName` (string) Required param for forge: CPAN (Example: exporter-tidy) - `packageOrDistributionName` (string) Required param for forge: CRAN | Fedora Koji (Example: acid) - `author` (string) Required param for forge: GitHub | GitLab (It accepts Author/Org value (Example: jquery) - `repositoryName` (string) Required param for forge: GitHub (Example: jquery-ui) - `vendorName` (string) Required param for forge: Packagist (Example: 100hz) - `gemName` (string) Required param for forge: RubyGems (Example: x-editable-rails) - `crate` (string) Required param for forge: crates.io (Example: brewstillery) - `limit` (integer) Page Size. Number Of Records to fetch per page - `offset` (integer) Page Number. Index of the page to start with(starts from 1) ## Response 200 fields (application/json): - `id` (integer) - `name` (string) - `description` (string) - `title` (string) - `url` (string) - `forge` (string) - `versionList` (array) - `versionList.custom` (boolean) - `versionList.purl` (string) - `licenseList` (array) - `licenseList.priority` (string) - `licenseList.externalId` (string) - `cpeList` (array) - `cpeList.cpeName` (string) cpeName Example: "E.g. cpe://a:gnome:gedit" - `cpeList.cpeVendor` (string) cpeVendor Example: "Vendor name" - `cpeList.cpeProduct` (string) cpeProduct Example: "Product name" ## Response 400 fields ## Response 500 fields